unit WIMECityNameDB;
interface
uses
    WIMECityNameDBObj, DefaultTranslator;
var
    CityNameDB: TCityNameDB;
resourcestring
  cnNone = 'none';
  cnAnfalas = 'Anfalas';
  cnAnnuminas = 'Annúminas';
  cnBaradDur = 'Barad-Dûr';
  cnBarrowDowns = 'Barrow Downs';
  cnBelegost = 'Belegost';
  cnBombadilsHouse = 'Bombadil’s House';
  cnBree = 'Bree';
  cnBuckland = 'Buckland';
  cnCairAndros = 'Cair Andros';
  cnCalembel = 'Calembel';
  cnCarachAngren = 'Carach Angren';
  cnCirithUngol = 'Cirith Ungol';
  cnDagorlad = 'Dagorlad';
  cnDale = 'Dale';
  cnDeadmansDike = 'Deadman’s Dike';
  cnDerndingle = 'Derndingle';
  cnDimrillDale = 'Dimrill Dale';
  cnDolAmroth = 'Dol Amroth';
  cnDolGuldur = 'Dol Guldur';
  cnDunharrow = 'Dunharrow';
  cnDurthang = 'Durthang';
  cnEastEmnet = 'East Emnet';
  cnEdoras = 'Edoras';
  cnErebor = 'Erebor';
  cnErech = 'Erech';
  cnEthring = 'Ethring';
  cnFordOfBruinen = 'Ford of Bruinen';
  cnForlond = 'Forlond';
  cnGoblinTown = 'Goblin Town';
  cnGreenHills = 'Green Hills';
  cnGreyHavens = 'Grey Havens';
  cnHobbiton = 'Hobbiton';
  cnHollinGate = 'Hollin Gate';
  cnHornburg = 'Hornburg';
  cnIronHillis = 'Iron Hills';
  cnIsenFord = 'Isen Ford';
  cnIsengard = 'Isengard';
  cnLinhir = 'Linhir';
  cnLorien = 'Lórien';
  cnLossarnach = 'Lossarnach';
  cnMichelDelving = 'Michel Delving';
  cnMidgewaterMarsh = 'Midgewater Marsh';
  cnMinasMorgul = 'Minas Morgul';
  cnMinasTirith = 'Minas Tirith';
  cnMorannon = 'Morannon';
  cnMountGram = 'Mount Gram';
  cnMtDoom = 'Mt. Doom';
  cnMtGundabad = 'Mt. Gundabad';
  cnNorthIthilien = 'North Ithilien';
  cnNorthRhun = 'North Rhûn';
  cnNurn = 'Nûrn';
  cnOsgiliath = 'Osgiliath';
  cnOstInEdhil = 'Ost-in-Edhil';
  cnPelargir = 'Pelargir';
  cnPinnathGelin = 'Pinnath Gelin';
  cnRivendell = 'Rivendell';
  cnRohan = 'Rohan';
  cnSarnFord = 'Sarn Ford';
  cnSouthRhun = 'South Rhûn';
  cnStonebowsBridge = 'Stonebows Bridge';
  cnTheHaradRoad = 'The Harad Road';
  cnTheLastBridge = 'The Last Bridge';
  cnThranduilsPalace = 'Thranduil’s Palace';
  cnTuckborough = 'Tuckborough';
  cnWaymeet = 'Waymeet';
  cnWeathertop = 'Weathertop';
  cnWhiteTowers = 'White Towers';
  cnWoodhall = 'Woodhall';

implementation
initialization
    {$WARNINGS OFF}
    CityNameDB := TCityNameDB.Create;
    {$WARNINGS ON}
    CityNameDB.Add(cnNone, 0, 0);
    CityNameDB.Add(cnAnfalas, 896, 1264);
    CityNameDB.Add(cnAnnuminas, 640, 272);
    CityNameDB.Add(cnBaradDur, 1856, 1120);
    CityNameDB.Add(cnBarrowDowns, 768, 416);
    CityNameDB.Add(cnBelegost, 352, 224);
    CityNameDB.Add(cnBombadilsHouse, 752, 416);
    CityNameDB.Add(cnBree, 784, 384);
    CityNameDB.Add(cnBuckland, 704, 416);
    CityNameDB.Add(cnCairAndros, 1600, 1136);
    CityNameDB.Add(cnCalembel, 1296, 1168);
    CityNameDB.Add(cnCarachAngren, 1760, 1072);
    CityNameDB.Add(cnCirithUngol, 1744, 1168);
    CityNameDB.Add(cnDagorlad, 1728, 992);
    CityNameDB.Add(cnDale, 1744, 256);
    CityNameDB.Add(cnDeadmansDike, 752, 256);
    CityNameDB.Add(cnDerndingle, 1168, 848);
    CityNameDB.Add(cnDimrillDale, 1216, 592);
    CityNameDB.Add(cnDolAmroth, 1168, 1296);
    CityNameDB.Add(cnDolGuldur, 1456, 672);
    CityNameDB.Add(cnDunharrow, 1216, 1040);
    CityNameDB.Add(cnDurthang, 1712, 1072);
    CityNameDB.Add(cnEastEmnet, 1360, 960);
    CityNameDB.Add(cnEdoras, 1248, 992);
    CityNameDB.Add(cnErebor, 1744, 224);
    CityNameDB.Add(cnErech, 1232, 1136);
    CityNameDB.Add(cnEthring, 1344, 1200);
    CityNameDB.Add(cnFordOfBruinen, 1200, 400);
    CityNameDB.Add(cnForlond, 176, 352);
    CityNameDB.Add(cnGoblinTown, 1312, 336);
    CityNameDB.Add(cnGreenHills, 656, 400);
    CityNameDB.Add(cnGreyHavens, 416, 400);
    CityNameDB.Add(cnHobbiton, 640, 370);
    CityNameDB.Add(cnHollinGate, 1168, 592);
    CityNameDB.Add(cnHornburg, 1168, 960);
    CityNameDB.Add(cnIronHillis, 1984, 256);
    CityNameDB.Add(cnIsenFord, 1104, 928);
    CityNameDB.Add(cnIsengard, 1088, 896);
    CityNameDB.Add(cnLinhir, 1360, 1312);
    CityNameDB.Add(cnLorien, 1344, 656);
    CityNameDB.Add(cnLossarnach, 1600, 1200);
    CityNameDB.Add(cnMichelDelving, 576, 400);
    CityNameDB.Add(cnMidgewaterMarsh, 848, 368);
    CityNameDB.Add(cnMinasMorgul, 1664, 1168);
    CityNameDB.Add(cnMinasTirith, 1616, 1184);
    CityNameDB.Add(cnMorannon, 1744, 1008);
    CityNameDB.Add(cnMountGram, 1104, 176);
    CityNameDB.Add(cnMtDoom, 1808, 1120);
    CityNameDB.Add(cnMtGundabad, 1280, 144);
    CityNameDB.Add(cnNorthIthilien, 1632, 1104);
    CityNameDB.Add(cnNorthRhun, 2272, 576);
    CityNameDB.Add(cnNurn, 1968, 1296);
    CityNameDB.Add(cnOsgiliath, 1632, 1184);
    CityNameDB.Add(cnOstInEdhil, 1024, 60);
    CityNameDB.Add(cnPelargir, 1552, 1328);
    CityNameDB.Add(cnPinnathGelin, 944, 1200);
    CityNameDB.Add(cnRivendell, 1216, 384);
    CityNameDB.Add(cnRohan, 1168, 912);
    CityNameDB.Add(cnSarnFord, 720, 496);
    CityNameDB.Add(cnSouthRhun, 1776, 992);
    CityNameDB.Add(cnStonebowsBridge, 704, 384);
    CityNameDB.Add(cnTheHaradRoad, 1584, 1504);
    CityNameDB.Add(cnTheLastBridge, 1072, 400);
    CityNameDB.Add(cnThranduilsPalace, 1696, 240);
    CityNameDB.Add(cnTuckborough, 640, 400);
    CityNameDB.Add(cnWaymeet, 624, 384);
    CityNameDB.Add(cnWeathertop, 928, 384);
    CityNameDB.Add(cnWhiteTowers, 480, 400);
    CityNameDB.Add(cnWoodhall, 656, 400);
finalization
    CityNameDB.Free;
end.
